<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">


    <composite:interface>
        <composite:attribute name="uiBean" required="true" />
    </composite:interface>
    <composite:implementation>
        <script type="text/javascript">
            function resetInputSize() {
                $('.formError div').filter(':empty').parent().prev()
                        .removeClass('ui-grid-col-6').addClass('ui-grid-col-12')
                        .next().css('display', 'none');
                $('input').css('width', '100%');
            }
            jQuery(document).ready(function () {
                resetInputSize();
            });
        </script>
        <ui:param name="uiBean" value="#{cc.attrs.uiBean}" />
        <h:outputStylesheet library="css/org/inra/ecoinfo/identification"
                            name="jsf-changeProfilePanel-styles.css" />

        <h:outputStylesheet library="css/org/inra/ecoinfo/identification" name="jsf-changeProfilePanel-styles.css" />
        <f:loadBundle
            basename="org.inra.ecoinfo.identification.jsf.requestRights"
            var="requestRights" />
        <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index" />
        <f:loadBundle
            basename="org.inra.ecoinfo.foret.identification.message"
            var="requestForetRightsManagementPanel" />

        <h:outputStylesheet library="css/org/inra/ecoinfo/identification"
                            name="jsf-changeProfilePanel-styles.css" />
        <p:panel id="requestForm"
                    header="#{requestRights.PARAM_MSG_REQUEST_HEADER}"
                    styleClass="custom-rf-p profileForm" >
            <p:accordionPanel activeIndex="-1" 
                              styleClass="help-panel">
                <p:tab  >
                    <f:facet name="title">
                        <p:graphicImage value="#{resource['images:help.png']}" />
                        <p class="intro-main">
                            <h:outputLabel value="#{requestRights.PARAM_MSG_DEMAND}" />
                        </p>
                    </f:facet>
                    <p:graphicImage value="#{resource['images:help.png']}" />
                    <p class="intro-main">
                        <h:outputLabel value="#{requestRights.PARAM_MSG_DEMAND}" />
                    </p>
                    <p class="intro-main"> 
                        <h:outputText value="#{requestACBBRightsManagementPanel.PARAM_MSG_DEMAND}" escape="false"/>
                    </p>
                </p:tab>
            </p:accordionPanel> 	

            <br />
            <h:panelGrid columns="3" >
                <h:outputLabel value="Champs obligatoires" styleClass="mandatory" />
                <h:outputText />
                <h:outputText />
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_NAME_SURNAME}" for="nameSurname" styleClass="mandatory" />
                <h:inputText id="nameSurname" value="#{uiBean.nameSurname}" title="nameSurname" required="true" />
                <p:message id="msgnameSurname" for="nameSurname" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_STATUS}" for="status" styleClass="mandatory" />
                <h:inputText id="status" value="#{uiBean.request.rightRequest.status}" title="status" required="true" />
                <p:message id="msgstatus" for="status" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_INSTITUTION}" for="institution" styleClass="mandatory" />
                <h:inputText id="institution" value="#{uiBean.request.rightRequest.institution}" title="institution" required="true"/>
                <p:message id="msginstitution" for="institution" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_EMAIL}" for="email" styleClass="mandatory" />
                <h:inputText id="email" value="#{uiBean.email}" title="email" required="true" />
                <p:message id="msgemail" for="email" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_PHONE}" for="phone" styleClass="mandatory" />
                <h:inputText id="phone" value="#{uiBean.request.rightRequest.phone}" title="phone" required="true"/>
                <p:message id="msgphone" for="phone" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_RELATION}" for="relation" styleClass="mandatory" />
                <h:inputText id="relation" value="#{uiBean.request.rightRequest.relation}" title="relation" required="true"/>
                <p:message id="msgrelation" for="relation" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_TITLE}" for="title" styleClass="mandatory" />
                <h:inputText id="title" value="#{uiBean.request.rightRequest.title}" title="title" required="true"/>
                <p:message id="msgtitle" for="title" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_OBJECTIVES}" for="objectives" styleClass="mandatory" />
                <h:inputTextarea  id="objectives" value="#{uiBean.request.rightRequest.objectives}" title="objectives" required="true"/>
                <p:message id="msgobjectives" for="objectives" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_FUNDINGS}" for="fundings" styleClass="mandatory" />
                <h:inputText id="fundings" value="#{uiBean.request.rightRequest.fundings}" title="fundings" required="true"/>
                <p:message id="msgfundings" for="fundings" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_DELIVERY_DATE}" for="deliveryDate" styleClass="mandatory" />
                <h:inputText id="deliveryDate" value="#{uiBean.request.rightRequest.deliveryDate}" title="deliveryDate" required="true"> 
                    <f:converter  converterId="localDateForetConverterDD_MM_YYYY" />
                </h:inputText>
                <p:message id="msgdeliveryDate" for="deliveryDate" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_SITES}" for="sites" styleClass="mandatory" />
                <h:inputText id="sites" value="#{uiBean.request.rightRequest.sites}" title="sites" required="true"/>
                <p:message id="msgsite" for="sites" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_REQUIRED_DATA}" for="requiredData" styleClass="mandatory" />
                <h:inputText id="requiredData" value="#{uiBean.request.rightRequest.requiredData}" title="requiredData" required="true"/>
                <p:message id="msgrequiredData" for="requiredData" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_PUBLICATIONS}" for="references" styleClass="mandatory" />
                <h:inputTextarea  id="references" value="#{uiBean.request.rightRequest.publications}" title="references" required="true"/>
                <p:message id="msgreferences" for="references" styleClass="message"  /> 
                <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_ADDITIANNALS_INFORMATIONS}" for="additionalsInformations"/>
                <h:inputText id="additionalsInformations" value="#{uiBean.request.rightRequest.additionalsInformations}" />
            </h:panelGrid>
        </p:panel>

    </composite:implementation>

</html>